<app-loading *ngIf='isLoading'></app-loading>
<div class='app-card'>
  <form nz-form [formGroup]='form'>
    <div class='app-row' nz-row [nzGutter]='[30, 0]'>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName='ngrCode' [mbMaxLength]='50' uppercase (mbBlur)='codeBlur()' [mbDisable]='id != null'
                       [mbType]="isSubmitted && form.controls['ngrCode'].errors ? 'error' : 'default'"
                       [mbShowError]="isSubmitted && form.controls['ngrCode'].errors !== null"
                       [mbErrors]="form.controls['ngrCode'].errors"
                       [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '50' }},
           { errorName: 'code', errorDescription: 'system.validate.code' | translate },
           { errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'system.notifyGroup.ngrCode' | translate }}]"
                       mbPlaceholderText="{{'system.notifyGroup.ngrCode' | translate}}"
                       mbLabelText="{{'system.notifyGroup.ngrCode' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>
      <div nz-col nzXs='24' nzLg='12'>
        <mb-input-text formControlName='ngrName'
                       [mbType]="isSubmitted && form.controls['ngrName'].errors ? 'error' : 'default'"
                       [mbMaxLength]='100'
                       [mbShowError]="isSubmitted && form.controls['ngrName'].errors != null"
                       [mbErrors]="form.controls['ngrName'].errors"
                       [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '100' }},
            { errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'system.notifyGroup.ngrName' | translate }}]"
                       mbPlaceholderText="{{'system.notifyGroup.ngrName' | translate}}"
                       mbLabelText="{{'system.notifyGroup.ngrName' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>
      <div nz-col nzXs="12" nzLg="6">
        <label class="input__label">{{'system.notifyGroup.flagStatus' | translate}}</label>
        <div class="m-t-sm" style="width: 100%;">
          <nz-switch formControlName="flagStatus">
          </nz-switch>
        </div>
      </div>
      <div nz-col nzXs="12" nzLg="6">
        <label class="input__label">{{'system.notifyGroup.isEmail' | translate}}</label>
        <div class="m-t-sm" style="width: 100%;">
          <nz-switch formControlName="isEmail">
          </nz-switch>
        </div>
      </div>
      <div nz-col nzXs="12" nzLg="6">
        <label class="input__label">{{'system.notifyGroup.isNotify' | translate}}</label>
        <div class="m-t-sm" style="width: 100%;">
          <nz-switch formControlName="isNotify">
          </nz-switch>
        </div>
      </div>
      <div nz-col nzXs="12" nzLg="6">
        <label class="input__label">{{'system.notifyGroup.isSendSingle' | translate}}</label>
        <div class="m-t-sm" style="width: 100%;">
          <nz-switch formControlName="isSendSingle">
          </nz-switch>
        </div>
      </div>
      <div nz-col nzXs="12" nzLg="6">
        <label class="input__label">{{'system.notifyGroup.isSaveLogContent' | translate}}</label>
        <div class="m-t-sm" style="width: 100%;">
          <nz-switch formControlName="isSaveLogContent">
          </nz-switch>
        </div>
      </div>
      <div nz-col nzXs="12" nzLg="6">
        <label class="input__label">{{'system.notifyGroup.isFcm' | translate}}</label>
        <div class="m-t-sm" style="width: 100%;">
          <nz-switch formControlName="isFcm">
          </nz-switch>
        </div>
      </div>
    </div>
    <div class='footer'>
      <mb-button mbButtonType='NO_BORDER' mbType='SUBMIT' mbButtonSize='LARGE' (click)='save()'
                 mbButtonAvailableStyle='PRIMARY' mbButtonText="{{'common.button.save' | translate}}"></mb-button>
    </div>
  </form>
</div>
